## org.omg.PortableServer.POAPackage
Class WrongPolicyHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.POAPackage.WrongPolicyHelper

public class WrongPolicyHelper
extends java.lang.Object

Helper class for : WrongPolicy

Author:
  OpenORB Compiler

Constructor Summary
`WrongPolicyHelper()`

Method Summary
`static WrongPolicy` `extract(Any a)` Extract WrongPolicy from an any
`static java.lang.String` `id()` Return the WrongPolicy IDL ID
`static void` `insert(Any a, WrongPolicy t)` Insert WrongPolicy into an any
`static WrongPolicy` `read(InputStream istream)` Read WrongPolicy from a marshalled stream
`static TypeCode` `type()` Return the WrongPolicy TypeCode
`static void` `write(OutputStream ostream, WrongPolicy value)` Write WrongPolicy into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WrongPolicyHelper

    public WrongPolicyHelper()

Method Detail

### insert

    public static void insert(Any a,
                              WrongPolicy t)

  Insert WrongPolicy into an any
  Parameters:
    `a` - an any
    `t` - WrongPolicy value

### extract

    public static WrongPolicy extract(Any a)

  Extract WrongPolicy from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted WrongPolicy value

### type

    public static TypeCode type()

  Return the WrongPolicy TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the WrongPolicy IDL ID
  Returns:
    an ID

### read

    public static WrongPolicy read(InputStream istream)

  Read WrongPolicy from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed WrongPolicy value

### write

    public static void write(OutputStream ostream,
                             WrongPolicy value)

  Write WrongPolicy into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - WrongPolicy value